"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deepCopy = exports.dotAccess = void 0;
/**
 * Get a value in a nested object with dot notation.
 *
 * @param path The path of the field you want written in "dot notation"
 * @param object The object from which to extract the field from
 * @param separator The character that splits the different levels of the object, defaults to '.'
 * @returns The value of the selected field
 */
function dotAccess(path, object, separator) {
    if (separator === void 0) { separator = '.'; }
    return path
        .split(separator)
        .reduce(function (level, key) {
        if (level)
            return level[key];
    }, object);
}
exports.dotAccess = dotAccess;
/**
 * @param source Any object
 * @returns An exact copy of the given object
 */
var lodash_clonedeep_1 = __importDefault(require("lodash.clonedeep"));
function deepCopy(source) {
    return (0, lodash_clonedeep_1.default)(source);
}
exports.deepCopy = deepCopy;
//# sourceMappingURL=functions.js.map